alsa-oss (1.1.8-2build3) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 09 Dec 2025 20:26:49 +0000

alsa-oss (1.1.8-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:10:02 +1100

alsa-oss (1.1.8-2build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 06:28:42 +0000

alsa-oss (1.1.8-2) unstable; urgency=medium

  * Import upstream signing key and configure watch file to check for
    sigs.
  * Bump watch file to version 4.
  * Add Bug-Database, Bug-Submit, Repository and Repository-Browse
    upstream metadata fields.
  * Switch to debhelper compat v13 and use debhelper-compat Build-Dep.
  * Set Rules-Requires-Root to no.
  * Update Standards-Version to 4.6.1.
  * Drop debian/changelog.ALSA and associated dh_installchangelogs override.
  * Update copyright years.
  * Update lintian-overrides to new tag names.

 -- Jordi Mallach <jordi@debian.org>  Wed, 30 Nov 2022 19:36:20 +0100

alsa-oss (1.1.8-1) unstable; urgency=medium

  * New upstream release.
  * Removed ftbfs_glibc_2.28.patch. Applied upstream.
  * Update to Standards-Version 4.3.0.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sat, 26 Jan 2019 11:22:42 +0100

alsa-oss (1.1.6-2) unstable; urgency=medium

  * Cherry-pick upstream patch to fix build with glibc 2.28
    (closes: #916052).

 -- Jordi Mallach <jordi@debian.org>  Tue, 18 Dec 2018 00:27:03 +0100

alsa-oss (1.1.6-1) unstable; urgency=medium

  [ Elimar Riesebieter ]
  * debian/control, debian/rules:
    - Switch to dh-autoreconf to update libtool macros for ppc64el. Thanks to
      Artur Rona for the patch (closes: #758255).

  [ Jordi Mallach ]
  * New upstream release.
  * Update Vcs-* fields to reflect conversion to Git and move to salsa.d.o.
  * Add debian/gbp.conf with current git repo layout options.
  * Update to debhelper compat v11.
  * Drop B-Ds on dh-autoreconf and autotools-dev, now pulled in by
    debhelper.
  * Switch from dh_install --fail-missing to dh_missing --fail-missing.
  * Update to Standards-Version 4.1.4.
  * Rewrite debian/copyright in machine-readable format 1.0.
  * Use https for Homepage URL.
  * Remove obsolete debian/NOTES.
  * Drop debian/source/options, just use the defaults.

 -- Jordi Mallach <jordi@debian.org>  Thu, 03 May 2018 12:27:16 +0200

alsa-oss (1.0.28-1) unstable; urgency=low

  [ Jordi Mallach ]
  * Pass --with autotools_dev to dh, to fix builds on arm64 (closes: #727315).
  * Canonicalise Vcs-* URLs.

  [ Luke Yelavich ]
  * New upstream release
  * Bump standards version to 3.9.5

 -- Jordi Mallach <jordi@debian.org>  Fri, 18 Jul 2014 21:04:06 +0200

alsa-oss (1.0.25-1) unstable; urgency=low

  * New upstream release.
  * Update changelog.ALSA.
  * Bump to debhelper 9.
  * Add ${misc:Pre-Depends}.
  * Rewrite debian/rules using dh, with the necessary overrides to
    get rid of .la and .a files, and to install the upstream ChangeLog.
  * Change install to look for lib files in the Multiarch dir.
  * Use a version 3 watch file, and don't uupdate.
  * Change aoss_lib_path.patch to use ${libdir}, so it works with
    multiarch paths out of the box.
  * Refresh aoss_wrap_warning.patch.
  * Add DEP-3 patch headers.
  * Update lib paths in lintian-overrides, although I fear lintian will
    continue to bark for the rest of triplets.

 -- Jordi Mallach <jordi@debian.org>  Sun, 12 Feb 2012 12:22:51 +0100

alsa-oss (1.0.17-5) unstable; urgency=low

  * Switch to architecture wildcard 'linux-any' which incudes armhf
    (closes: #629486).
  * Remove old ALSA url from long description and replace with the new one
    in the copyright file.
  * Point to non-symlinked GPL-2 file.
  * Stop build-depending on quilt, it's not needed with format 3.0 (quilt).
  * Bump Standards-Version 3.9.2.

 -- Jordi Mallach <jordi@debian.org>  Thu, 09 Jun 2011 02:32:00 +0200

alsa-oss (1.0.17-4) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Switched to source version 3.0.
  * Added ${misc:Depends} to alsa-oss in control.

  [ Jordi Mallach ]
  * Add overrides for missing symbols control files.
  * Add aoss_wrap_warning.patch, to print a warning if aoss does not
    wrap the called program due to /proc/asound not being present
    (closes: #404040).
  * Bump Standards-Version to 3.8.4, with no changes needed.
  * Use gzip compression for now, until alsa-oss gets a new upstream
    version (if at all).
  * Add sparc64 to the list of supported architectures.

 -- Jordi Mallach <jordi@debian.org>  Fri, 12 Feb 2010 02:26:27 +0100

alsa-oss (1.0.17-3) unstable; urgency=low

  [ Jordi Mallach ]
  * Remove a bashism from debian/rules.
  * Add quilt to Build-Depends and use it in debian/rules.
  * Add aoss_lib_path.patch to fix path to libaoss.so (closes: #523101)

 -- Jordi Mallach <jordi@debian.org>  Mon, 26 Oct 2009 14:23:29 +0100

alsa-oss (1.0.17-2) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Added avr32 to supported archs.
  * Bumped Standards-Version to 3.8.3. No changes.
  * Don't install *.(a|la) libs.
  * Substitute dh_clean -k with dh_prep
  * Use always /usr/share/misc/config.(sub|guess). Added autotools-dev to
    Build-Depends.

 -- Jordi Mallach <jordi@debian.org>  Thu, 17 Sep 2009 19:05:45 +0200

alsa-oss (1.0.17-1) unstable; urgency=low

  * New upstream release

  [ Jordi Mallach ]
  * Switch to now official Vcs-* control fields.
  * Add lpia to the list of supported architectures.

  [ Elimar Riesebieter ]
  * Corrected typo in manpage: "SYNOPSYS". Done upstream. (closes: #311389)
  * Using festival with aoss leads to a segfault. This is just no more
    reproducible. Tested on amd64, i386, ppc. Hopefully fixed (closes: #413892)
  * Fixed copyright.
  * Bumped Standards-Version: 3.8.0, no changes needed.
  * Bumped compat to 7, removed debhelper.

 -- Jordi Mallach <jordi@debian.org>  Mon, 29 Sep 2008 09:30:21 +0200

alsa-oss (1.0.15-1) unstable; urgency=low

  * New upstream release.

  [ Elimar Riesebieter ]
  * Added Homepage: header in debian/control
  * debian/rules: s/-$(MAKE) distclean/[ ! -f Makefile ] || $(MAKE) distclean/

 -- Jordi Mallach <jordi@debian.org>  Sat, 27 Oct 2007 12:57:59 +0200

alsa-oss (1.0.14-1) unstable; urgency=low

  [ Elimar Riesebieter ]
  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Sat, 09 Jun 2007 21:13:05 +0200

alsa-oss (1.0.14~rc4-1) experimental; urgency=low

  [ Elimar Riesebieter ]
  * New upstream release candidate.
    - should fix LFS problems (closes: #364730, #419099).
  * Added XS-X-Vcs-Svn field in control.
  * Added arch armel to alsa-oss. (closes: #408770)

  [ Jordi Mallach ]
  * debian/control: replace XS-X-Vcs-Svn with XS-Vcs-Svn and add
    XS-Vcs-Browser.

 -- Jordi Mallach <jordi@debian.org>  Sun, 13 May 2007 11:30:48 +0200

alsa-oss (1.0.12-1) unstable; urgency=low

  * New upstream release.

  [ Elimar Riesebieter ]
  * Bumped Standards-Version: 3.7.2, no changes needed.
  * Bumped compat to 5 and debhelper version to >= 5.0.37.

 -- Jordi Mallach <jordi@debian.org>  Wed,  6 Sep 2006 20:32:41 +0200

alsa-oss (1.0.11-1) unstable; urgency=low

  * New upstream release
  [ Elimar Riesebieter ]
  * Added myself to Uploaders
  * Removed capital-letter lintian override

 -- Jordi Mallach <jordi@debian.org>  Sun, 23 Apr 2006 17:27:29 +0200

alsa-oss (1.0.10-1) unstable; urgency=low

  * New upstream release

 -- Jordi Mallach <jordi@debian.org>  Mon, 21 Nov 2005 23:10:34 +0100

alsa-oss (1.0.9+1.0.10rc3-1) experimental; urgency=low

  * New upstream release candidate

 -- Thomas Hood <jdthood@yahoo.co.uk>  Tue,  8 Nov 2005 22:27:23 +0100

alsa-oss (1.0.9+1.0.10rc2-1) experimental; urgency=low

  * New upstream release candidate
  * Thomas Hood
    - debian/control: s/Architecture: any/Architecture: <Linux arches>/

 -- Jordi Mallach <jordi@debian.org>  Tue, 25 Oct 2005 12:12:03 +0200

alsa-oss (1.0.9+1.0.10rc1-1) experimental; urgency=low

  * New upstream release candidate
    - Closes: #311389 (man page typo)
  * Thomas Hood
    - Bump Standards-Version to 3.6.2.1; no changes required
    - Add upstream changelog

 -- Jordi Mallach <jordi@debian.org>  Mon, 19 Sep 2005 21:33:20 +0200

alsa-oss (1.0.9-1) unstable; urgency=low

  * New upstream release

 -- Jordi Mallach <jordi@debian.org>  Mon,  4 Jun 2005 13:00:00 +0200

alsa-oss (1.0.8+1.0.9rc3-1) experimental; urgency=low

  * New upstream release

 -- Jordi Mallach <jordi@debian.org>  Wed, 11 May 2005 20:46:00 +0200

alsa-oss (1.0.8-1) unstable; urgency=low

  * New upstream release
    (Closes: #233200 "Too strict max periods constraints for dmix plugin")
  * Thomas Hood
    - Improve description again
    - Add debian/watch file
    - /usr/share/lintian/overrides/alsa-oss
      + Add: override lintian warning non-dev-pkg-with-shlib-symlink

 -- Jordi Mallach <jordi@debian.org>  Sun, 16 Jan 2005 20:44:54 +0100

alsa-oss (1.0.7-1) unstable; urgency=low

  * New upstream release
  * Thomas Hood
    - Improve description

 -- Jordi Mallach <jordi@debian.org>  Tue, 30 Nov 2004 13:14:25 +0100

alsa-oss (1.0.6-2) unstable; urgency=medium

  * Thomas Hood:
    - Tweak Description
    - Fix up copyright file
  * Jordi Mallach:
    - debian/rules: disable config.{guess,sub} updating.

 -- Jordi Mallach <jordi@debian.org>  Mon, 18 Oct 2004 19:02:34 +0200

alsa-oss (1.0.6-1) unstable; urgency=low

  * New upstream release.
  * Jordi Mallach:
    - debian/control: add Thomas Hood to Uploaders.

 -- Jordi Mallach <jordi@debian.org>  Tue, 21 Sep 2004 23:26:12 +0200

alsa-oss (1.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Wed,  9 Jun 2004 18:27:01 +0200

alsa-oss (1.0.4-1) unstable; urgency=low

  * New upstream release.
  * Jordi Mallach:
    - debian/control: change Maintainer name to "Debian ALSA Maintainers".

 -- Jordi Mallach <jordi@debian.org>  Tue, 13 Apr 2004 23:18:58 +0200

alsa-oss (1.0.3a-1) unstable; urgency=low

  * New upstream version
  * David B. Harris:
    - Change my Uploaders: email address from my private address to
      dbharris@debian.org
    - debian/rules: Change location of aoss.1 to alsa/aoss.1

 -- David B. Harris <dbharris@debian.org>  Wed, 25 Feb 2004 22:41:55 -0500

alsa-oss (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * David B Harris:
    - Use "$@" instead of $* in wrapper /usr/bin/aoss (Closes: #232018)

 -- Jordi Mallach <jordi@debian.org>  Sun, 15 Feb 2004 01:16:36 +0100

alsa-oss (1.0.1-2) unstable; urgency=low

  * Jordi Mallach:
    - debian/control: make the libasound2-dev build-dep versioned for the
      API change.

 -- Jordi Mallach <jordi@debian.org>  Mon, 26 Jan 2004 16:20:19 +0100

alsa-oss (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Jordi Mallach:
    - debian/control: build-depend on libasound2-dev (closes: #229156).

 -- Jordi Mallach <jordi@debian.org>  Mon, 26 Jan 2004 15:03:12 +0100

alsa-oss (0.9.8-1) unstable; urgency=low

  * Jordi Mallach:
    - Initial release (closes: #201079).

 -- Jordi Mallach <jordi@debian.org>  Wed, 19 Nov 2003 12:30:46 +0100
